## visad.data.dods
Class ContainerAttributeAdapter

    java.lang.Object
      visad.data.dods.Adapter
          visad.data.dods.AttributeAdapter
              visad.data.dods.ContainerAttributeAdapter

public class ContainerAttributeAdapter
extends AttributeAdapter

Provides support for adapting a DODS `Attribute.CONTAINER` attribute to the VisAD data-import context. A container attribute is, basically, an inner-level attribute table.

Instances are immutable.

Constructor Summary
`ContainerAttributeAdapter(String name, Attribute attr, AttributeAdapterFactory factory)` Constructs from a name, an appropriate attribute, and a factory for creating adapters for DODS variables.

Method Summary
`DataImpl` `data(boolean copy)` Returns the VisAD data object corresponding to this instance.

Methods inherited from class visad.data.dods.Adapter
`attributeTable, attributeTable, getCacheStrategy, isFlat, mathType, realType, realType, realType, realType, scalarName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerAttributeAdapter

    public ContainerAttributeAdapter(String name,
                                     Attribute attr,
                                     AttributeAdapterFactory factory)
                              throws VisADException,
                                     RemoteException

  Constructs from a name, an appropriate attribute, and a factory for creating adapters for DODS variables.

Parameters:
  `name` - The name of the attribute.
  `attr` - The attribute. Must have the appropriate type.
  `factory` - A factor for creating adapters for DODS variables.
Throws:
  `VisADException` - VisAD failure. Probably the attribute has an inappropriate type.
  `RemoteException` - Java RMI failure.

Method Detail

### data

    public DataImpl data(boolean copy)

  Returns the VisAD data object corresponding to this instance.

  Specified by:
    `data` in class `AttributeAdapter`
  Parameters:
    `copy` - If true, then a copy of the data object is returned.
  Returns:
    The VisAD data object corresponding to this instance.